# Class ExtractMethodsMixin

#### Hierarchy (View Summary)

- ExtractMethodsMixin
  - ExtractMethodMixin

- Defined in packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:41

#####
Index

### Constructors

constructor

### Methods

extractMethods

##
Constructors

### constructor

- new ExtractMethodsMixin(): ExtractMethodsMixin

  #### Returns ExtractMethodsMixin

##
Methods

### `Protected` extractMethods

- extractMethods(
  formDefinition: FormDefinition,
  controlId: string,
  ): Map<
  string,
  UseMethodDefinition<
  unknown,
  unknown,
  UseMethodConfig<unknown, unknown, any, any>,
  >,
  >

  #### Parameters

  - formDefinition: FormDefinition
  - controlId: string

  #### Returns Map<
  string,
  UseMethodDefinition<
  unknown,
  unknown,
  UseMethodConfig<unknown, unknown, any, any>,
  >,
  >

  - Defined in packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:43